?
Solved

gd, png, and/or jpeg libraries could not be located... on sles11sp3

Posted on 2014-04-25
22
Medium Priority
?
591 Views
Last Modified: 2014-06-12
HI,
I need to install nagios-4.0.5.
I have gd, libpng12-0 and libjpeg installed on my system and configure still insists that the "GD, PNG, and/or JPEG libraries could not be located!"
Thanks.
0
Comment
Question by:edolivier
[X]
Welcome to Experts Exchange

Add your voice to the tech community where 5M+ people just like you are talking about what matters.

  • Help others & share knowledge
  • Earn cash & points
  • Learn & ask questions
  • 8
  • 5
  • 5
  • +1
22 Comments
 
LVL 18

Expert Comment

by:Sanga Collins
ID: 40022498
Which Linux distro are you using? That will help alot in determining how to solve this for you.
0
 

Author Comment

by:edolivier
ID: 40022523
Hi,
sles11sp3
0
 
LVL 18

Expert Comment

by:Sanga Collins
ID: 40022582
have you installed gd-devel ?

I think that should add the missing libraries
0
Video: Liquid Web Managed WordPress Comparisons

If you run run a WordPress, you understand the potential headaches you may face when updating your plugins and themes. Do you choose to update on the fly and risk taking down your site; or do you set up a staging, keep it in sync with your live site and use that to test updates?

 
LVL 35

Expert Comment

by:Seth Simmons
ID: 40022595
also need libpng-devel and libjpeg-devel in case they are not included when installing gd-devel
0
 

Author Comment

by:edolivier
ID: 40022671
Thanks Sage,
There is no package gd-devel available on sles11sp3.
0
 

Author Comment

by:edolivier
ID: 40022833
Thanks Sage and Seth Simmons.
How do I installed properly.
Sorry my english.
0
 
LVL 35

Accepted Solution

by:
Seth Simmons earned 2000 total points
ID: 40023978
what does...

zypper install gd-devel libpng-devel libjpeg-devel

result in?
0
 
LVL 62

Expert Comment

by:gheist
ID: 40024192
It is as easy as "zypper in nagios"
"zypper se nagios-" will give plugins list (you dont need all at once)
0
 
LVL 35

Expert Comment

by:Seth Simmons
ID: 40024986
It is as easy as "zypper in nagios"

i'm running suse 12.3 and doing that would install nagios 3.5.0
in suse 11 i doubt 4.0.5 will be there hence trying to compile from source
0
 

Author Comment

by:edolivier
ID: 40025086
Thanks,
I need to compile nagios 4.0.5 from source.
0
 
LVL 62

Expert Comment

by:gheist
ID: 40025135
You can compile rpms from opensuse srpms. Hand compilation will make your system full of unmaintainable software.
0
 

Author Comment

by:edolivier
ID: 40042218
Thanks,
I need to compile nagios 4.0.5 from source.
0
 
LVL 35

Expert Comment

by:Seth Simmons
ID: 40042247
have you tried the zypper command i posted before?
0
 
LVL 62

Expert Comment

by:gheist
ID: 40042324
Rpmbuild uzes source file (see tb option)
0
 

Author Comment

by:edolivier
ID: 40042812
I installed and resolved dependencies.
Thanks all.
0
 

Author Comment

by:edolivier
ID: 40110017
I've requested that this question be closed as follows:

Accepted answer: 0 points for edolivier's comment #a40042812

for the following reason:

'cause I solved the issue.
0
 
LVL 35

Expert Comment

by:Seth Simmons
ID: 40110014
what was the solution?
0
 
LVL 62

Expert Comment

by:gheist
ID: 40110015
Please explain. To me it seems http:#a40023978 resolved them already
0
 
LVL 62

Expert Comment

by:gheist
ID: 40110018
Please explain. To me it seems http:#a40023978 resolved them already
0
 

Author Comment

by:edolivier
ID: 40111525
I installed and resolved dependencies.
Thanks all.
0

Featured Post

Are You Using the Best Web Development Editor?

The worlds of web hosting and web development are constantly evolving. Every year we see design trends change, coding standards adapt and new frameworks/CMS created. With such a quick pace of change it’s easy to get lost trying to keep up.

See if your editor made the list.

Question has a verified solution.

If you are experiencing a similar issue, please ask a related question

The purpose of this article is to demonstrate how we can upgrade Python from version 2.7.6 to Python 2.7.10 on the Linux Mint operating system. I am using an Oracle Virtual Box where I have installed Linux Mint operating system version 17.2. Once yo…
This article was originally published on Monitis Blog, you can check it here . Today it’s fairly well known that high-performing websites and applications bring in more visitors, higher SEO, and ultimately more sales. By the same token, downtime…
In a previous video, we went over how to export a DynamoDB table into Amazon S3.  In this video, we show how to load the export from S3 into a DynamoDB table.
How to Install VMware Tools in Red Hat Enterprise Linux 6.4 (RHEL 6.4) Step-by-Step Tutorial
Suggested Courses
Course of the Month10 days, 17 hours left to enroll

770 members asked questions and received personalized solutions in the past 7 days.

Join the community of 500,000 technology professionals and ask your questions.

Join & Ask a Question